import 'package:json_annotation/json_annotation.dart';

part 'change_role.g.dart';


@JsonSerializable(explicitToJson: true)
class ChangeRole {
  final String accountRef;
  final String newRoleDescriptionRef;

  const ChangeRole({
    required this.accountRef, 
    required this.newRoleDescriptionRef, 
  });

  factory ChangeRole.fromJson(Map<String, dynamic> json) => _$ChangeRoleFromJson(json);
  Map<String, dynamic> toJson() => _$ChangeRoleToJson(this);
}
